import type { FavoriteQuery } from '@mongodb-js/compass-query-bar';
import type { StoredPipeline } from '@mongodb-js/compass-aggregations';
type UpdateAttributes = Record<string, unknown>;
interface FavoriteQueryStorage {
    new (): {
        loadAll(): Promise<FavoriteQuery[]>;
        updateAttributes(id: string, attributes: UpdateAttributes): Promise<FavoriteQuery>;
        delete(id: string): Promise<void>;
    };
}
interface PipelineStorageClass {
    new (): {
        loadAll(): Promise<StoredPipeline[]>;
        updateAttributes(id: string, attributes: UpdateAttributes): Promise<StoredPipeline>;
        delete(id: string): Promise<void>;
    };
}
export declare function createCompassAggregationsMock(aggregations: StoredPipeline[]): {
    PipelineStorage: PipelineStorageClass;
};
export declare function createCompassQueryHistoryMock(queries: FavoriteQuery[]): {
    FavoriteQueryStorage: FavoriteQueryStorage;
};
export declare function createProxyquireMockForQueriesAndAggregationsPlugins(pipelines: StoredPipeline[], queries: FavoriteQuery[]): unknown;
export {};
//# sourceMappingURL=mock.d.ts.map